import 'package:flutter/material.dart';
import 'package:login_screen/bottomnavigationbar/page1.dart';
import 'package:login_screen/bottomnavigationbar/page2.dart';
import 'package:login_screen/bottomnavigationbar/page3.dart';
import 'package:login_screen/bottomnavigationbar/page4.dart';

class NavBar2 extends StatefulWidget {
  const NavBar2({Key? key}) : super(key: key);

  @override
  State<NavBar2> createState() => _NavBar2State();
}

class _NavBar2State extends State<NavBar2> {
  int _selectedIndex = 0;
  List pages = [
    const Page1(),
    const Page2(),
    const Page3(),
    const Page4(),
  ];
  List labes=[
    'Home',
    'Notification',
    'Cart',
    'Profile'
  ];
  List icon=[
    Icons.home,
    Icons.notifications,
    Icons.shopping_cart,
    Icons.person
  ];
  void onTapNav(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return Scaffold(
      body: pages[_selectedIndex],
      bottomNavigationBar: Container(
        margin: EdgeInsets.symmetric(horizontal: 5,vertical: 20),
        width: screenSize.width,
        height: 100,

        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceAround, // Distribute items evenly
          children: List.generate(
            labes.length,
                (index) {
              return InkWell(
                onTap: (){
                  onTapNav(index);
                },
                child: AnimatedContainer(
                  margin: EdgeInsets.symmetric(horizontal: 4),
                  height:_selectedIndex==index?70:60 ,
                  decoration: BoxDecoration(
                      color: _selectedIndex==index?myColor.shade800:myColor.shade400,
                      borderRadius: _selectedIndex==index?BorderRadius.circular(30):BorderRadius.circular(10),
                    boxShadow: [BoxShadow(
                        color: _selectedIndex==index?myColor.shade600:myColor.shade300,
                      spreadRadius: 2,
                      offset: Offset(1,3)
                    )]
                  ),
                  width: _selectedIndex==index?screenSize.width*.33:screenSize.width*.18,
                  duration: Duration(milliseconds: 300),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Icon(icon[index],
                          color: _selectedIndex==index?Colors.white:Colors.black,
                        size: _selectedIndex==index?35:25,
                      ),
                      SizedBox(height: 5), // Add spacing between icon and text
                      
                    ],
                  ),
                ),
              );
            },
          ),
        ),
      ),
    );
  }


}
